Subject: bug#73425: 31.0.50; Support images in HTML versions of ELPA package manuals

From: Philip Kaludercic <[email-masked]>
Date: Sat, 19 Apr 2025 06:40:09 +0000

Stefan Monnier <[email-masked]> writes:

>> AFAICT, the plan is as follows:
>>
>> - Add support in package specs for "associated files" for each of the
>>   manuals (ideally also for the `:readme`, BTW).
>
> OK, I added a `:doc-files` thingy.
> Currently it can be a list of file or dir names, and if it's a dir we
> copy all the files in it (but not recursively).

Just to be sure I didn't miss something, this only relates to the
generation of HTML docs for elpa.{,non}gnu.org, right?  So we don't need
any special handling for package-vc?

>> - Arrange to copy those "associated files" to the `doc/<PACKAGE>/`
>>   subdirectory of the `archive(-devel)/` area.
>
> Done.
>
>> - Massage the HTML files so that `href="snapshot.png"` becomes
>>   `href="<PACKAGE>/snapshot.png"`.  For the `:readme` case, we should
>>   instead redirect them to `doc/<PACKAGE>/snapshot.png`.
>
> Done to some extent but I'm not completely sure what to do with the
> Kubed manual (and I haven't looked at the `:readme` case at all).
>
> Eshel: could you explain to me the "/assets" thingy in the references
> to images in the Texi (and resulting HTML)?
>
>> This should make the HTML links to images work in the web versions of
>> the manuals.
>
> And indeed it seems to work for Hyerpbole.
> Mats&Robert: please check http://elpa.gnu.org/devel/doc/hyperbole.html
>
>> - Offer a way to specify part of the package specs directly in the
>>   package itself (presumably within the pseudo-headers of the main
>>   file).  Would be useful in general rather than just for "associated
>>   files".
>
> Not there yet.
>
>> - Maybe also offer some support to generate the list of associated files
>>   dynamically/automatically by scrubbing the generated HTML files?
>
> Even less there yet.
>
>> - Make sure the links to associated files work also for the Info
>>   versions of the manuals, even when they're moved to the
>>   root directory.
>
> Not there yet either.
>
>
>         Stefan